=== CustomPress ===

Author: Ivan Shaovchev, Andrey Shipilov (Incsub), Arnold Bailey (Incsub)
Author URI: http://premium.wpmudev.org

== Changelog ==
= 1.3.7 =
* Improve: Added rest API support for custom post types
* Fix: Buttons layout on admin pages

=1.3.6 -
* Improve: hide unnecessary options for upload field
* Fix: WPLANG causing PHP notice
* Fix: upload field displaying file thumbnail instead of link for non image files
* Fix: regex validation error
* Fix: incompatibility issue with Domain Mapping

= 1.3.5.9 - 2014-09-02 Hoang Ngo
* Upload field

= 1.3.5.8 - 2014-09-02 Fabio Jun
* Fix warning messages "implode(): Invalid arguments passed..."

= 1.3.5.7 - 2014-07-23 Fabio Jun
* Fixed: register_taxonomies and register_post_types was hooking the after_setup_theme instead of init.
* Fixed: created default POST params to avoid "Undefined index" notices.
* Fixed: testing if field exists before trying to access it.
* Fixed: testing hide_type field before accessing it.
* Fixed: handling not found custom field to avoid output of Array. 

= 1.3.5.6 - 2014-07-06 Arnold Bailey
* Added "required" attribute override to the [ct_in] shortcode.
* Fixed network level taxonomy edit which was losing field settings.
* Allow ascending and descending sort of custom field options in dropdowns radio checkbox lists.
* Fixed radio button custom fields not setting to their default.

= 1.3.5.3 = 2014-04-02 Arnold Bailey
* Fixed Attachment custom fields save that got broken in WP 3.5

= 1.3.5.1 = 2014-03-28 Arnold Bailey
- Changed Administrator capabilities setting.
- Removed "date" from DatePicker. Was causing problems with the validation

= 1.3.4.8 = 2013-11-23 Arnold Bailey
- BOM in file causing problems

= 1.3.4.7 = 2013-11-22 Arnold Bailey
* Added Hide input for this Post Type which prevents showing a given Custom field on the admin input page for that post type.

= 1.3.4.6 = 2013-11-06 Arnold Bailey
* Rearranged some functions so they are only needed on the Admin side.
* Added [ct_validate] shortcode to enable vaidation when only [ct_in] fields are used.

= 1.3.4.5 = 2013-10-02 Arnold Bailey
* Refactored lazy loading of datepicker CSS

= 1.3.4.4 = 2013-09-30 Arnold Bailey
* Fixed glitch in custom column display in Admin.

= 1.3.4.3 = 2013-09-15 Arnold Bailey
* Fix for catching when all checkboxes are empty

= 1.3.4.2 = 2013-09-03 Arnold Bailey
* Changes to checkbox custom field code.

= 1.3.4.1 = 2013-08-23 Arnold Bailey
* Removed PHP 4 type constructors which now cause Warnings

= 1.3.3.9 = 2013-06-08 Arnold Bailey
* Fix to save_custom_fields were it would delete meta data incorrectly on check boxes.

= 1.3.3.8 = 2013-06-08 Arnold Bailey
* Removed add_taxonomy function because of naem collision.

= 1.3.3.7 = 2013-06-08 Arnold Bailey
* changes to assign_terms processing.

= 1.3.3.6 = 2013-06-08 Arnold Bailey
* Changes to JS loading

= 1.3.3.4 = 2013-06-08 Arnold Bailey
* Moved script loading to the footer so shortcodes can be scanned to see if the script is actually needed. Requires jQuery(document).ready() around script using them.
* Fixed default theme for datepicker

= 1.3.3 = 2013-04-15 Arnold Bailey
* Fixed blank assign_terms due to order of processing settings

= 1.3.2.9 = 2013-04-08 Arnold Bailey
* Fixed duplicate taxonomy menu when used on attachment post type
* Fixed "attachments" assign_terms capability setting

= 1.3.2.8 = 2013-03-04 Arnold Bailey
* Fixed display problem with multiple checkboxes

= 1.3.2.7 = 2013-03-04 Arnold Bailey
* blocked post update when post moved between trash and active to prevent custom fields from being lost.

= 1.3.2.5 = 2013-03-04 Arnold Bailey
* Added assign_terms capabilties to use the associated post_types.
  Note that on multiple post types assigned to one taxonomy can only enable assign_terms for one post_type,
  because assign_terms cannot accept an array.

= 1.3.2.4 = 2013-03-04 Arnold Bailey
* Added missing quotes on datepicker call

= 1.3.2.3 = 2013-03-01 Arnold Bailey
* Fixed problem with multiselect custom fields display

= 1.3.2.2 = 2013-02-26 Arnold Bailey
* Added get_custom_fields_set($post_type)
* Changed Map Meta Capabilities to default to True
* Simplified display_custom_fields.php

= 1.3.2.1 = 2013-02-18 Arnold Bailey
* Added [ct_in] shortcode for individual input fields for better placement capability.
* Added "not" attribute to [ct_filter] to invert the filter

= 1.3.2 = 2013-02-12 Arnold Bailey
* Added custom query var string for post types.
* Added custom query var string for taxonomies.
* Added EP Mask settings for post types, supports Endpoints.
* Added EP Mask settings for taxonomies, supports Endpoints.
* Changed flush_rewrite_rules to allow other plugins to setup rewrites before the global flush_network_rewrite_rules();
* Added create_xxxxs capability which was added in WP v3.5

= 1.3.1 = 2013-01-06 Arnold Bailey
* Added show_admin_column attribute to the Taxonomy editor for Wordpress > v3.5

= 1.3.0.7 = 2013-01-06 Arnold Bailey
* Added block on combining post types on Admin screens which apparently happens with some plugins.

= 1.3.0.6 = 2012-11-11 Arnold Bailey
* Added dummy files for en and en-US datepicker language files.

= 1.3.0.5 = 2012-11-01 Arnold Bailey
* Fixed  problem when trying to erase all capabilities for a role.

= 1.3.0.4 = 2012-11-01 Arnold Bailey
* Fixed problem with 'allow_per_site_content_types'.

= 1.3.0.3 = 2012-10-30 Arnold Bailey
* Fixed problem with adding Network level custom types.

= 1.3.0.2 = 2012-10-29 Arnold Bailey
* Fixed mixed local and network custom fields.
* Display network custom types switch fix.

= 1.3.0.1 = 2012-10-28 Arnold Bailey
* Fixed problem with Export menu not showing on non-multisite.

= 1.3 = 2012-10-27 Arnold Bailey
* Added Map Meta Capability to Post Types editor. It was being overwritten when the custom post type was saved even if it was set by another program.
* New custom post types automatically grant all capabilities to administrator role
* Added Role Capabilities editor to post types. Roles can now be assigned capabilities where the capability type is not equal to "post"
* Added [custom_field_block] shortcode to display a post's custom fields from a shortcode.
* Added [custom_fields_input] shortcode to provide input of custom fields.
* Added [ct_filter] shortcode to provide control of field order and usage by category.
* Remove empty fields in block output.
* Added Shortcodes instruction page to Content Types menu pages.
* Changed Setting in the Network Admin settings to Enabled subsites content types and Network wide content types.
* Added Export / Import for Custom types

= 1.2.3.2 = 2012-06-15 Arnold Bailey
* Backup Buddy uses it's own version of Datepicker (timepicker) which was interfering with standard Wordpress Datepicker causing downstream thickbox to fail.
* More fiddling with the language translation file loading.
* Changed dynamic stylesheet loader.

= 1.2.3.1 = 2012-06-14 Arnold Bailey
* Removed duplicate init_vars() overiding the object inheritance

= 1.2.3 = 2012-06-14 Arnold Bailey
* Added new update notification
* Tested against WP 3.4
* Added custom required error messages for custom fields
* Added regular expression validation for custom text and textarea fields
* Added custom required error messages for regex validation
* Reworked Network and Local custom field handling.
* Added regex options flags


= 1.2.2.5 = 2012-06-01 Arnold Bailey
* Fixed double label on Show UI
* Fixed display_custom_post_types() to handle multiple post_types.

= 1.2.2.4 = 2012-06-01 Arnold Bailey
* Changed priority of when custom field shortcodes are expanded so they will occur first.
This allows other shortcodes to use the custom values for example

[embed][ct id="ct_Video_text_f2ed" property="value"][/embed]

will now properly expand.

== 1.2.2.3 = 2012-05-31 Arnold Bailey
* Fixed settings not saving from Network menu

= 1.2.2.2 = 2012-05-24 Arnold Bailey
* Ensured that on custom Archive pages that the post_type query_var would be passed as a string if only one custom post_type.
	Multiple post_type pages pass as an array which will confuse some parts of WordPress. This is a Wordpress bug work around.
* Out of order script queuing


= 1.2.2.1 = 2012-05-20 Arnold Bailey
* Changed datepicker load order

= 1.2.2 = 2012-05-17 Arnold Bailey
* filter the_category and the_tags to properly combine custom and standard taxonomies if selected in post_types.

= 1.2.1.8 = 2012-05-14 Arnold Bailey
* Fixed bad url on Taxonomy when running under Multisite.
* filter the_category and the_tags to properly combine custom and standard taxonomies if selected.

= 1.2.1.7 = 2012-05-08 Arnold Bailey
* Fixed stripslashes problem with Gravity forms.
* Changes datepicker translation plugin loading sequence.

= 1.2.1.6 = 2012-05-06 Arnold Bailey
* Added custom type display inclusion for Home, Front, Archive and Search pages

= 1.2.1.5 = 2012-05-03 Arnold Bailey
* extraneous spaces causing header already sent problem

= 1.2.1.4 = 2012-05-03 Arnold Bailey
* fixed improper supports tags in setup. Things like custom-fields were entered as custom_fields
* fixed numerous xhtml validation problems.
* Changed Custom field metabox name to CustomPress Fields so they won't be confused with Wordpress native custom fields editor
* Refactored objects so that they properly inherit and don't initialize the same thing 2 and 3 times.
* Blocked changes to Custom fields on Bulk Edit

= 1.2.1.3 = 2012-04-30 Arnold Bailey
* changed script inclusion so the datepicker and validation can run on the front end for Directory and classifieds.

= 1.2.1.2 = 2012-04-12 Arnold Bailey
* Fixed $_REQUEST parameter name collision of 'post_type' conflicting with wp admin.php
* Fixes settings not being remembered for Post Type checkboxes.

= 1.2.1.1 = 2012-04-11 Arnold Bailey
* Fixed error on display of radio and selectbox shortcodes
* Fixed debug warnings in several places.

= 1.2.1 = 2012-04-05 Arnold Bailey

* Added field reordering to Custom Fields
* Added Required fields
* Added Date Picker
* Added Datepicker themes
* Added Datepicker date formats
* Added individual date formats for each created field
* Added shortcodes for Taxonomy [tax id="tax" before="your before text " separator=", " after=" your after text"]
* Added shortcodes for Custom fields including metadata [ct id="field id" property=" title | description | value "] or leave out property entirely for default value.
* Enabled shortcodes in widgets
* Change embed codes to <? echo do_shortcode('[]'); ?> style for better error trapping. The old style still works so old templates aren't broken.
* Corrected CPT_PLUGIN_URL for SSL
* Fixed double display of options on Radio buttons
* Fixed Group checkbox problem
* Added class exists exclusions
* Verified function as a direct sub module for Classifieds, Directory etc.
* Added stripslashes_deep on $_POST to handle apostrophes properly.

=1.2.0 =

* Compatibility with the Directory plugin;

=1.1.9 =

* Fixed problem with "Allow for WP/plugins" when editing  Custom Fields;
* Added feature for assign regular taxonomies to Custom Post Type;

=1.1.8 =

* Fixed Warning\Notice message;
* Fixed problem with change selectbox on multiselectbox;
* Fixed labels for Custom Fields on media page;
* Fixed saving value of non checked checkbox(custom fields) on all pages;

=1.1.7.2 =

* Fixed problem of saving the custom hierarchical taxonomy on media page;
* Fixed saving value of non checked checkbox(custom fields) on media page;

=1.1.7 =

* Fixed problem with change type on "'radio, checkbox, selectbox, multiselectbox" when edit custom fields;
* Fixed display checkbox of "Allow for WP/plugins" on Edit Custom Field page;
* Added feature for display Custom Fields on media page (for Attachment post type);
* Display terms of Attachment post type like submenu of the media menu;

=1.1.6 =

* Display hierarchical taxonomy as tree of checkboxes for the 'attachment' post type.

=1.1.5 =

* Fixed problem with upper case in name of taxonomy;
* Fixed problem of display "An unidentified error has occurred" when click on "All ...";
* Fixed problem with create custom template;
* Changed style for Custom fields;
* Changed some texts;

=1.1.4 =

* Added label for block of Custom Fields ("Custom Fields block" on create/edit Post Type page).
* Added option for allow use custom fields in WP and other plugins ("Allow for WP/plugins" on  create Custom Fields page).
* Added feature for add custom fields as columns on custome post type page ("Display Custom Fields columns" on edit Post Type page).
* Added buttons for delete: "Field and values" for delete custom field and all its values from postmeta and "Only field " for delete only custom field.

=1.1.3 =

* fixed problem with navigation menu on home page.

=1.1.2 =

* Major update



= 1.1.1 =

* Bug fixes



= 1.1.0 =

* Bug fixes



= 1.0.9 =

* Bug fixes



= 1.0.8 =

* Updated for WordPress 3.1

* New features added

* Admin GUI improved

* Bug fixes

* Code improvements



= 1.0.7 =

* Bug fixes.



= 1.0.6 =

* Bug fixes.



= 1.0.5 =

* Bug fixes.


= 1.0.4 =

* Bug fixes.



= 1.0.3 =

* Improved UI.

* Internal architecture improved.

* Submodules added.

* Localization added ( .pot files inside "cp-languages" and "ct-languages" ).

* Embed codes added.

* Bug fixes.



= 1.0.2 =

* Initial release.



== Upgrade Notice ==

= 1.0.3 =
Due to the fact that the internal architecture of the current version is completly
different from the previous one, the "v1.0.3" release is NOT backward compatible
with the "v1.0.2" release.


584947-1504801749-ai